Bug 1749649 - Router ignores non-server records when serverThreshold is reached
Summary: Router ignores non-server records when serverThreshold is reached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-06 06:59 UTC by Ravi Trivedi
Modified: 2019-11-18 14:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-18 14:52:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 23980 0 None closed Bug 1749649: Fix ignoring non-server records when server threshold is exceeded 2020-01-28 18:23:33 UTC
Red Hat Product Errata RHBA-2019:3817 0 None None None 2019-11-18 14:52:18 UTC

Description Ravi Trivedi 2019-09-06 06:59:29 UTC
Description of problem:
When ServerThreshold is exceeded, it doesn't ignore the rest of the servers, it ignores the rest of the records including backend, frontend and server records.

Version-Release number of selected component (if applicable):
OCP 3.11

Actual results:
Currently, OCP 3.11 does not have the backport fix of https://github.com/openshift/router/pull/12 made in 4.2

Expected results:
OCP 3.11 to have this fix as well to not ignore the non-server records if the serverThreshold is reached.

Additional info:
Upstream 4.2 PR = https://github.com/openshift/router/pull/12
OCP 3.11 code reference = https://github.com/openshift/origin/blob/release-3.11/pkg/router/metrics/haproxy/haproxy.go#L428-L435

Comment 1 Dan Mace 2019-10-11 01:57:01 UTC
This is a straightforward backport.

Comment 3 Hongan Li 2019-11-06 08:05:07 UTC
verified with v3.11.154 and issue has been fixed.

1. oc set env dc/router ROUTER_METRICS_HAPROXY_SERVER_THRESHOLD=10 -n default
2. ensure all backend can be showed in the metrics even exceed the threshold.
# curl admin:pass@127.0.0.1:1936/metrics
<---snip--->
# HELP haproxy_exporter_server_threshold Number of servers tracked and the current threshold value.
# TYPE haproxy_exporter_server_threshold gauge
haproxy_exporter_server_threshold{type="current"} 18
haproxy_exporter_server_threshold{type="limit"} 10

Comment 5 errata-xmlrpc 2019-11-18 14:52:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3817


Note You need to log in before you can comment on or make changes to this bug.